CMSAttributes (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Interface CMSAttributes

-     public interface CMSAttributes

  RFC 5652 CMS attribute OID constants, RFC 6019 Binary Time, and RFC 6211 Algorithm Protection Attribute.

       contentType       ::= 1.2.840.113549.1.9.3
       messageDigest     ::= 1.2.840.113549.1.9.4
       signingTime       ::= 1.2.840.113549.1.9.5
       counterSignature  ::= 1.2.840.113549.1.9.6

       binarySigningTime ::= 1.2.840.113549.1.9.16.2.46

       contentHint       ::= 1.2.840.113549.1.9.16.2.4
       cmsAlgorithmProtect := 1.2.840.113549.1.9.52

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `binarySigningTime` PKCS#9: 1.2.840.113549.1.9.16.2.46
    `static ASN1ObjectIdentifier` | `cmsAlgorithmProtect`
    `static ASN1ObjectIdentifier` | `contentHint` PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634
    `static ASN1ObjectIdentifier` | `contentType` PKCS#9: 1.2.840.113549.1.9.3
    `static ASN1ObjectIdentifier` | `counterSignature` PKCS#9: 1.2.840.113549.1.9.6
    `static ASN1ObjectIdentifier` | `messageDigest` PKCS#9: 1.2.840.113549.1.9.4
    `static ASN1ObjectIdentifier` | `signingTime` PKCS#9: 1.2.840.113549.1.9.5

- - ### Field Detail

    - #### contentType

          static final ASN1ObjectIdentifier contentType

      PKCS#9: 1.2.840.113549.1.9.3

    - #### messageDigest

          static final ASN1ObjectIdentifier messageDigest

      PKCS#9: 1.2.840.113549.1.9.4

    - #### signingTime

          static final ASN1ObjectIdentifier signingTime

      PKCS#9: 1.2.840.113549.1.9.5

    - #### counterSignature

          static final ASN1ObjectIdentifier counterSignature

      PKCS#9: 1.2.840.113549.1.9.6

    - #### binarySigningTime

          static final ASN1ObjectIdentifier binarySigningTime

      PKCS#9: 1.2.840.113549.1.9.16.2.46

    - #### contentHint

          static final ASN1ObjectIdentifier contentHint

      PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634

    - #### cmsAlgorithmProtect

          static final ASN1ObjectIdentifier cmsAlgorithmProtect